ata_port_flush_task
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_port_flush_task — Flush port_task

## Synopsis

`void ata_port_flush_task (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  The ata_port to flush port_task for

## Description

After this function completes, port_task is guranteed not to be running or scheduled.

## LOCKING

Kernel thread context (may sleep)

Prev | Up | Next
ata_id_xfermask | Home | ata_exec_internal_sg